Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface IdentifierGeneratorAggregator

All Known Implementing Classes:
  CompositeNestedGeneratedValueGenerator

    public interface IdentifierGeneratorAggregator

Identifies `generators` which potentially aggregate other `PersistentIdentifierGenerator` generators.

Initially this is limited to `CompositeNestedGeneratedValueGenerator`

Method Summary
`void` | `registerPersistentGenerators(Map generatorMap)` Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

Method Detail

### registerPersistentGenerators

    void registerPersistentGenerators(Map generatorMap)

  Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

  Parameters:
    `generatorMap` - The map of generators.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.